
<!--#include file="../Include/Conn.jsp" -->
<!--#include file="../Include/const.jsp" -->
<!--#include file="../Include/char.jsp" -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
<title>会员列表</title>
<link href="CSS/friend_index.css" rel="stylesheet" type="text/css" />
</head>

<body>
<div id="logo">
		<a href="#" title="运城地带-交友"><b>运城地带-交友</b></a>
</div>
<!--Main start-->
<div id="main">
	<!--导航 start-->
	<DIV id=nav><A href="../">首页</A> | <A 
href="QQ_default.jsp">运城地带</A> | <A 
href="QQ_index.jsp">小圈子</A> | <A 
href="../blog/">运城博客</A> | <A 
href="photo_default.jsp">网络相册</A> | <A 
href="QQ_ployall.jsp">精彩活动</A> | <A 
href="friend_index.jsp">交友频道</A> | <A 
href="../bbs/" target=_blank>运城社区</A> </DIV>
	<!--导航 end-->
	<!--内容contain start-->
	<div id="contain">
		<h2><IMG style="LEFT: 0px; POSITION: absolute; TOP: 0px" 
src="img/friend_index_title.gif">运城地带 - 会员列表</h2>
		<!--Search start-->
		<iframe frameborder="0" scrolling="no" height="190" src="friend_search.jsp" width="100%"></iframe>
		<!--Search end-->
        <!--list start-->
				  <%
					dim PerPage
					s_select_star=request("s_select_star")
					s_select_end=request("s_select_end")
					s_area=request("s_area")
					s_sex=request("s_sex")
					s_keyword=request("keyword")
					set rs_c=server.createobject("adodb.recordset")
					sql_c="select f_id,f_username,F_MyImage,f_area,f_grade,f_sex,f_edu,f_birthday from T_member where 1=1"
					if s_select_star<>"" and s_select_end<>"" then
					m_s=cdate(((year(now())-s_select_end))&"-"&month(now())&"-"&day(now()))
					m_e=cdate(((year(now())-s_select_star))&"-"&month(now())&"-"&day(now()))
					sql_c=sql_c + " and f_birthday > '"&m_s&"' and f_birthday < '"&m_e&"'"
					end if
					if s_area<>"" then
					sql_c=sql_c+" and f_area='"&s_area&"'"
					end if
					if s_sex<>"" then
					sql_c=sql_c+" and f_sex="&s_sex
					end if
					if s_keyword<>"" then
					sql_c=sql_c+" and f_username like '%"&s_keyword&"%'"
					end if
					sql_c=sql_c + " order by f_regtime desc"
		
					rs_c.open sql_c,conn,1,3
					'flag="尚未处理"
                    PerPage=14
				
                   '假如没有数据时
                 ' If rs_c.eof and rs_c.bof then
                  ' response.write "<p align='center'><font color='#ff0000'>还没任何新闻</font></p>"
                 ' response.end
                 ' End if
					'取得页数,并判断用户输入的是否数字类型的数据，如不是将以第一页显示
                    text="0123456789"
                    Rs_c.PageSize=PerPage
					
                    for i=1 to len(request("page"))
                    checkpage=instr(1,text,mid(request("page"),i,1))
                    if checkpage=0 then
                    exit for
                    end if
                    next

                  If checkpage<>0 then
                  If NOT IsEmpty(request("page")) Then
                  CurrentPage=Cint(request("page"))
                  If CurrentPage < 1 Then CurrentPage = 1
                  If CurrentPage > Rs_c.PageCount Then CurrentPage = Rs_c.PageCount
                  Else
                  CurrentPage= 1
                  End If
                 If not Rs_c.eof Then Rs_c.AbsolutePage = CurrentPage end if
                 Else
                 CurrentPage=1
                 End if					
				%>
		<div id="list">
		<dl>
		<h6><small style="font-weight:lighter; float:right">总共搜索到<%=Cstr(rs_c.RecordCount)%>条符合条件的会员信息，每页<%=PerPage%>条，共<%=Cstr(rs_c.pagecount)%>页，当前是第<%=CurrentPage%>页</small>会员列表</h6>
		<dt><p class="tdfirst">会员昵称</p>
			<p class="td2">性别</p>
			<p class="td3">年龄</p>
			<p class="td4">地区</p>
			<p class="td5">学历</p>
		</dt>
<%
if not rs_c.eof then
i=0
do while not rs_c.eof
%>
		<dd><IMG src="<%=rs_c("F_MyImage")%>">
			<p class="td1" ><A 
                  href="club_member.jsp?username=<%=rs_c("f_username")%>" 
                  target=_blank><%=rs_c("f_username")%></A>
			</p>
			<p class="td2">
			<%
						  if rs_c("f_sex")="1" then
						  %>
                            男 
                            <%
						  else
						  %>
                            女 
                            <% 
						  end if 
						  %>
			</p>
			<p class="td3"><% if rs_c("f_birthday")<>"" then %>
		  <%=year(date())-year(rs_c("f_birthday"))+1%>岁
		  <% end if %>
		  </p>
			<p class="td4"><%=rs_c("f_area")%></p>
			<p class="td5"><%=rs_c("f_edu")%></p>
			<p><A href="club_member.jsp?username=<%=rs_c("f_username")%>" target=_blank>详细信息</a> <a href="Center_msgsend.jsp?re_username=<%=rs_c("f_username")%>" target=_blank>发送消息</a>  <a onClick="return confirm('您确定要将“<%=rs_c("f_username")%>”加为好友吗？他将有可能看到您的个人隐私。')" href="addfriend.jsp?username=<%=rs_c("f_username")%>&flag=1"    target=_blank>加为好友</a></p>
		</dd>
  <%
i=i+1
if i >= Perpage then exit do
rs_c.movenext
loop
end if
%>

		</dl>
		<div class="page"><% If currentpage > 1 Then  %> &nbsp;<a href='friend_list.jsp?keyword=<%=s_keyword%>&s_sex=<%=s_sex%>&s_area=<%=s_area%>&s_select_star=<%=s_select_star%>&s_select_end=<%=s_select_end%>&page=<%=cstr(1)%>'><SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">9</SPAN></a> 
                            &nbsp;<a href='friend_list.jsp?keyword=<%=s_keyword%>&s_sex=<%=s_sex%>&s_area=<%=s_area%>&s_select_star=<%=s_select_star%>&s_select_end=<%=s_select_end%>&page=<%=Cstr(currentpage-1)%>'><SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">7</SPAN></a> 
                            &nbsp; <% Else  %> &nbsp;<SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">9</SPAN> 
                            &nbsp;<SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">7</SPAN> 
                            <% end if %> <%
			  if rs_c.pagecount>8 then
			  n_star=currentpage
			  n_end=currentpage+7
			  else
			  n_star=1
			  n_end=rs_c.pagecount			  
			  end if
			  %> <% FOR n=n_star to n_end %> <% if n>rs_c.pagecount then  exit for  end if%> &nbsp;<a href='friend_list.jsp?keyword=<%=s_keyword%>&s_sex=<%=s_sex%>&s_area=<%=s_area%>&s_select_star=<%=s_select_star%>&s_select_end=<%=s_select_end%>&page=<%=n%>'><FONT color=#ff0000><B><%=n%></B></FONT></a> <%
			  next
			 %> <% If currentpage < Rs_c.PageCount Then %> &nbsp;<a href='friend_list.jsp?keyword=<%=s_keyword%>&s_sex=<%=s_sex%>&s_area=<%=s_area%>&s_select_star=<%=s_select_star%>&s_select_end=<%=s_select_end%>&page=<%=Cstr(currentPage+1)%>'><SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">8</SPAN></a> 
                            &nbsp;<a href='friend_list.jsp?keyword=<%=s_keyword%>&s_sex=<%=s_sex%>&s_area=<%=s_area%>&s_select_star=<%=s_select_star%>&s_select_end=<%=s_select_end%>&page=<%=Cstr(Rs_c.PageCount)%>'><SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">:</SPAN></a> 
                            <% else %> &nbsp;<SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">8</SPAN> 
                            &nbsp;<SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">:</SPAN> 
                            <% end if %>
         </div>
		</div>
		<!--list end-->
        <!--foot start-->
<div id="foot">
	<A class=list href="../about/?Para=Intro" target=_blank>关于我们</A> ┊ <A class=list href="../about/?Para=Contact" target=_blank>联系方式</A> ┊ <A class=list href="../about/?Para=Job" target=_blank>招贤纳士</A> ┊ <A class=list href="../about/?Para=AdService" target=_blank>广告服务</A> ┊ <A class=list href="../about/?Para=Cooperate" target=_blank>合作伙伴</A> ┊ <A class=list href="../so/Suggestion.jsp" target=_blank> 留言/投诉</A> ┊ <A class=list href="../about/?Para=Job" target=_blank></A><BR><%=Site_info(5)%>	  </div>
		<!--foot end-->
	</div>
	<!--内容contain end-->
	<!--左导航 start-->
	<div id="leftlist">
		<h3>交友频道</h3>
		<DL>
  <DT>靓妹推荐 <%
	  set rs_c=server.createobject("adodb.recordset")
	  sql_c="select top 1 F_id,F_username,F_MyImage from T_Member where F_Sex=0 order by F_LoginCount desc"
	  rs_c.open sql_c,conn
	  %>
  <DD><IMG src="<%=rs_c("F_MyImage")%>"> <A 
  href="club_member.jsp?username=<%=rs_c("f_username")%>" target=_blank><%=rs_c("F_username")%></A> <%
		
		rs_c.close
		set rs_c=nothing
		%>
  <DT>帅哥推荐 <%
	  set rs_c=server.createobject("adodb.recordset")
	  sql_c="select top 1 F_id,F_username,F_MyImage from T_Member where F_Sex=1 order by F_LoginCount desc"
	  rs_c.open sql_c,conn
	  %>
  <DD><IMG src="<%=rs_c("F_MyImage")%>"> <A 
  href="club_member.jsp?username=<%=rs_c("f_username")%>" target=_blank><%=rs_c("F_username")%></A> <%
		rs_c.close
		set rs_c=nothing
		%>
</DD></DL>
	</div>
	<!--左导航 end-->
</div>
<!--Main end-->
</body>
</html>
